Skip to main content
POST
/
test_framework
/
v1
/
results
/
{id}
/
create_shareable_link_token
/
Generate shareable link for result
curl --request POST \
  --url https://api.cekura.ai/test_framework/v1/results/{id}/create_shareable_link_token/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "expire_at": "2023-11-07T05:31:56Z"
}
'
{
  "token": "<string>",
  "shareable_link": "<string>"
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this result.

Body

expire_at
string<date-time> | null

Optional expiration date/time for the token (ISO 8601 format)

Response

token
string
required

Unique token identifier for the shareable link, used for authentication and access control

Complete URL for the shareable link that can be distributed to external users